#!/bin/bash
# Absolute path to this script.
SH_SCRIPT=$(readlink -f $0)
# Absolute parent dir path this script is in.
SCRIPTPATH=$(dirname ${SH_SCRIPT})
pushd ${SCRIPTPATH} > /dev/null 2>&1
PY_SCRIPT=core/pysrc/neohost.py
PYO_SCRIPT="${PY_SCRIPT}o"
PY_CMD=""

# Check if arch == ppc64 , export LC_ALL env var
arch=$(arch)
if [ "$arch" == "ppc64" ]; then
    export LC_ALL='C'
fi

if [[ -f ${PY_SCRIPT} ]]; then
    PY_CMD="python -u ${PY_SCRIPT} --development"
elif [[ -f ${PYO_SCRIPT} ]]; then
    PY_CMD="python -u -O ${PYO_SCRIPT}"
else
    echo "Could not find file: ${PY_SCRIPT}"
    popd > /dev/null 2>&1
    exit 1
fi

${PY_CMD} "$@"
popd > /dev/null 2>&1
